### Signal

# GimpUi BrushSelectButton::brush-set

since: 2.4

#### Declaration

    void
    brush_set (
      GimpBrushSelectButton* self,
      gchar* brush_name,
      gdouble opacity,
      gint spacing,
      gint paint_mode,
      gint width,
      gint height,
      gpointer mask_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description [src]

The ::brush-set signal is emitted when the user selects a brush.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 2.4

#### Parameters

`brush_name`

  Type: `gchar*`

  The name of the currently selected brush.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`opacity`

  Type: `gdouble`

  Opacity of the brush.

`spacing`

  Type: `gint`

  Spacing of the brush.

`paint_mode`

  Type: `gint`

  Paint mode of the brush.

`width`

  Type: `gint`

  Width of the brush.

`height`

  Type: `gint`

  Height of the brush.

`mask_data`

  Type: An array of `guint8`

  Brush mask data.

`dialog_closing`

  Type: `gboolean`

  Whether the dialog was closed or not.